MODINFO(8)

NOM

modinfo – Afficher les informations sur un module du noyau Linux

SYNOPSIS

modinfo [-0] [-F champ] [-k noyau] [nom_module|nom_fichier..]

modinfo -V

modinfo -h

DESCRIPTION

modinfo extrait les informations des modules du noyau donnés sur la ligne de commande. Si le nom du module n'est pas un nom de fichier, le répertoire /lib/modules/version est consulté, comme le fait modprobe(8) lors du chargement des modules du noyau.

Par défaut, modinfo liste chaque attribut du module sous la forme nom_du_champ : valeur, pour une lecture facilitée. Le nom de fichier est listé de la même manière (même si ce n'est pas réellement un attribut).

Cette version de modinfo peut analyser les modules de toutes les architectures de noyau Linux.

OPTIONS

-V, --version
    Afficher la version de modinfo.

-F champ --field=champ
    N'afficher que la valeur de champ, une par ligne. Cette option est très utile pour les scripts. Les noms de champ sont insensibles à la casse. Les champs habituels (qui ne sont pas dans tous les modules) incluent les auteurs, la licence, les paramètres, les dépendances et les alias. Il y a souvent plusieurs champs de paramètre, alias et dépendance. Le champ spécial filename indique le nom de fichier du module.

-b rép_base --basedir=rép_base
    Le répertoire racine des modules, par défaut /.

-k noyau
    Fournir des informations sur un noyau autre que celui actuellement en fonctionnement. Cela est particulièrement utile pour les distributions qui ont besoin d'extraire des informations d'un ensemble de modules du noyau nouvellement installé (mais pas encore en fonctionnement). Par exemple, vous voulez savoir de quels micrologiciels ont besoin les différents modules d'un nouveau noyau pour lequel vous devez d'abord faire une image d'initrd/initramfs avant d'amorcer.

-0, --null
    Utiliser le caractère ASCII zéro pour séparer les valeurs de champ au lieu de celui de nouvelle ligne. Cette option est utile pour les scripts, étant donné qu'une nouvelle ligne peut théoriquement apparaître dans un champ.

-a --author, -d --description, -l --license, -p --parameters, -n --filename
    Ce sont les raccourcis pour les auteurs, la description, la licence, les paramètres ou le nom de fichier, obtenus avec l’option --field, pour faciliter la transition depuis les anciens outils de modinfo.

-h, --help
    Afficher un message d'aide puis quitter.

COPYRIGHT

Cette page de manuel était originellement sous copyright 2003, Rusty Russell, IBM Corporation.

VOIR AUSSI

modprobe(8)

BOGUES

Merci d'envoyer les rapports de bogues directement au suivi des bogues de kmod à https://github.com/kmod-project/kmod/issues/ avec la version utilisée, les étapes pour reproduire le bogue et le retour espéré.

AUTEURS

De nombreuses contributions proviennent de la liste de diffusion linux-modules <linux-modules@vger.kernel.org> et de Github. Si vous avez une copie de kmod.git lui-même, les sorties de git-shortlog(1) et de git-blame(1) vous indiqueront les auteurs de certaines parties du projet.

Lucas De Marchi <lucas.de.marchi@gmail.com> est le responsable actuel du projet.

TRADUCTION
La traduction française de cette page de manuel a été créée par bubu <bubub@no-log.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.